GDB (xrefs)

Macros
gdb_setjmp.h File Reference
`#include <setjmp.h>`

Go to the source code of this file.

## Macros
#define | SIGJMP_BUF jmp_buf
#define | SIGSETJMP(buf) setjmp(buf)
#define | SIGLONGJMP(buf, val) longjmp((buf), (val))

## Macro Definition Documentation

## ◆ SIGJMP_BUF

#define SIGJMP_BUF jmp_buf

Definition at line 29 of file gdb_setjmp.h.

## ◆ SIGLONGJMP

#define SIGLONGJMP | ( |  | buf,
|  |  | val
| ) |  | longjmp((buf), (val))

Definition at line 31 of file gdb_setjmp.h.

Referenced by gdb_demangle_signal_handler().

## ◆ SIGSETJMP

#define SIGSETJMP | ( |  | buf | ) | setjmp(buf)

Definition at line 30 of file gdb_setjmp.h.

Referenced by gdb_demangle().